<?php
abstract class Loader {
  protected abstract function loadFiles();
  protected abstract function doSomething();
  
  public final function load() {
    $this->loadFiles();
    $this->doSomething();
  }
}

?>
