<?php

require_once 'Loader.php';

$loaders = glob('*Loader.php');

foreach ($loaders as $loader) {
  require_once $loader;
}

$clazzes = array();
foreach ( get_declared_classes() as $class ) {
  $clazz = new ReflectionClass($class);
  
  if ( !$clazz->isSubclassOf('Loader'))
    continue;
  if ( !$clazz->isInstantiable() )
    continue;
  
  $clazzes[] = $clazz;
}

foreach ($clazzes as $clazz ) {
  $clazz->newInstance()->load();
}

?>